### Class

# Ide HighlightEngine

#### Description

    final class Ide.HighlightEngine : Ide.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Constructors

###### ide_highlight_engine_new

No description available.

#### Instance methods

###### ide_highlight_engine_advance

This function is useful for `IdeHighlighter` implementations that need to asynchronously do work to process the highlighting.

Available since: 3.32

###### ide_highlight_engine_clear

No description available.

###### ide_highlight_engine_get_buffer

Gets the IdeHighlightEngine:buffer property.

Available since: 3.32

###### ide_highlight_engine_get_highlighter

Gets the IdeHighlightEngine:highlighter property.

Available since: 3.32

###### ide_highlight_engine_get_style

A `GtkTextTag` for `style_name`.

Available since: 3.32

###### ide_highlight_engine_invalidate

This function will extend the invalidated range of the buffer to include the range of `begin` to `end`.

Available since: 3.32

###### ide_highlight_engine_pause

No description available.

###### ide_highlight_engine_rebuild

No description available.

###### ide_highlight_engine_unpause

No description available.

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.HighlightEngine:buffer

No description available.

###### Ide.HighlightEngine:highlighter

No description available.

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeHighlightEngineClass {
      IdeObjectClass parent_class;

    }

###### Class members

`parent_class` |
    IdeObjectClass
| No description available.